Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062450 - [RFE][heat]: Integrate Heat with systemd
Summary: [RFE][heat]: Integrate Heat with systemd
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ga
: 5.0 (RHEL 7)
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/heat...
Whiteboard: upstream_milestone_icehouse-3 upstrea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 00:28 UTC by RHOS Integration
Modified: 2014-09-08 05:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 19:08:55 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-02-07 00:28:45 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/heat/+spec/systemd-integration.

Description:

systemd doesn't generally have a way to determine when a service is actually ready to provide service.  As it stands currently, systemd thinks once the process is started it is ready to provide service.  There is a gap of time between starting and actually being prepared to provide service, where there is a window for systemd to start dependent services which will be unable to connect to their parent service

The idea of this blueprint is to indicate to systemd when the heat services are ready.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.